function M=matrix(v,n,m)
% M=matrix(v,n,m): Erzeugt eine n x m-Matrix M und befüllt sie spaltenweise
% mit den Elementen von v
    len=length(v);
    s=n*m;
    if (len<s)
        % v ist zu kurz: mit 0 verlängern
        v(len+1:s)=0;
    elseif (len>s)
        % v ist zu lang: kürzen
        v=v(1:s);
    end
    % reshape erzeugt und befüllt M
    %M=reshape(v,n,m);
    % Wenn es reshape nicht gäbe:
    M=zeros(n,m);
    % lineare Indizierung!
    M(:)=v(:);
end