function xn=newton(x0,f,g)
% xn=newton(x0,f,g)
% Sucht eine Nullstelle der Funktion f(x) und ihrer Ableitung
% g(x) ausgehend von x0.
% Anders als Octave kann Matlab hier keine im Workspace definierten
% Funktionen aufrufen. Daher werden f und g als Funktions-Handles
% mitgegeben.

	xn=x0;
	max=1000;
	n=0;
    while (f(xn)~=0 && n<max)
		xn=xn-f(xn)/g(xn);
		n=n+1;
    end
end
