function i=suche(v,x)
% i=suche(v,x)
% Sucht den Wert x im aufsteigend sortierten Vektor v und
% gibt dessen Index zurück, oder 0 bei Misserfolg.
% Binäre Suche: 
	von=1;
	bis=length(v);
    ende=false;
    while (~ende)
        % starte in der Mitte des Vektors
		i=idivide(von+bis,int32(2));
        if (x<v(i))
            % x muss in der unteren Hälfte liegen
			bis=i-1;
        else
            % x muss in der oberen Hälfte liegen
			von=i+1;
        end
        if (v(i)==x || von>bis)
            % Suche beendet (mit oder ohne Erfolg)
            ende=true;
        end
    end
    if (v(i)~=x)
		i=0;
    end
end
