function p=eratosthenes(n)
% eratosthenes(n): Sieb des Eratosthenes
% Erzeugt einen Vektor aller Primzahlen p<=n
	v=1:n;
    v(1)=0;
    for i=2:n
        if (v(i)~=0)
			k=2*i;
            while (k<=n)
				v(k)=0;
				k=k+i;
            end
        end
    end
    % filtere alle Elemente von v die ungleich 0 sind
    p=v(v~=0);
end
        